Name:            gnaughty
Version:         1.2.5
Release:         4%{?dist}
Summary:         Downloader for adult content
Group:           Applications/Internet
License:         GPLv2+
URL:             http://gnaughty.sourceforge.net
Source0:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:          %{name}-1.2.5-cURL-does-not-provide-curl-types.h-anymore.patch
Patch1:          %{name}-1.2.5-Link-to-gthread.patch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   libglade2-devel
BuildRequires:   glib2-devel
BuildRequires:   gtk2-devel
BuildRequires:   GConf2-devel
BuildRequires:   libcurl-devel
BuildRequires:   pcre-devel
BuildRequires:   desktop-file-utils
# Due to Link-to-gthread patch 
BuildRequires:   autoconf

Requires(pre):   GConf2
Requires(preun): GConf2
Requires(post):  GConf2


%description
Application to download automatically adult sex content, i.e. movies and 
pictures, from a known internet directory.


%prep
%setup -q
%patch0 -p1 -b .curl
%patch1 -p1 -b .gthread
autoconf

sed -i 's|Icon=%{name}.png|Icon=%{name}|g' %{name}.desktop
sed -i 's|Comment=Porn downloader|Comment=Downloader for adult content|g' %{name}.desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

make install \
     DESTDIR=%{buildroot} \
     INSTALL="install -p"

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 1.2.5-4
- Rebuild against PCRE 8.30
- Fix building against curl
- Fix building against gthread

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2.5-2
- Rebuild for new libpng

* Sun Aug 21 2011 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.5-1
- New upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 31 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.4-1
- New upstream release

* Tue Jan 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.2-1
- New upstream release

* Fri May 29 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.0-2
- Replace "porn" with "adult content" in spec and desktopfile
- Remove Featurelist from DESCRIPTION

* Thu May 28 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.0-1
- Initial package build
